Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsString

    java.lang.Object
      |
      +--com.novell.service.nds.NdsString

public class NdsString
extends java.lang.Object
implements , java.io.Serializable

Provides the class from which other NDS string attribute values extend.

See Also:
  `NdsCaseExactString`, `NdsCaseIgnoreString`, `NdsClassName`, `NdsDistinguishedName`, `NdsNumericString`, `NdsPrintableString`, `NdsTelephoneNumber`, Serialized Form

Field Summary
`protected java.lang.String` | `name`
`protected java.lang.String` | `value`

Constructor Summary
`protected` | `NdsString()`
`protected` | `NdsString(java.lang.String name, java.lang.String value)`

Method Summary
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares this SchemaValue with the parameter anObject.
`boolean` | `equals(java.lang.Object anObject)` Compares this object to the specified object.
`java.lang.String` | `getName()` Returns the object name.
`java.lang.String` | `stringValue()` Returns the value of this SchemaString as a String.
`java.lang.String` | `toString()` Generates the string representation of this value.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

### name

    protected java.lang.String name

Constructor Detail

### NdsString

    protected NdsString()

### NdsString

    protected NdsString(java.lang.String name,
                        java.lang.String value)

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares this SchemaValue with the parameter anObject.
  Parameters:
    `anObject` - The SchemaValue to be compared.
  Returns:
    0 if the argument is equal to this value; an integer less than 0 if this value is less than the argument; an integer greater than 0 if this value is greater than the argument.
  Throws:
    java.lang.Exception -

### equals

    public boolean equals(java.lang.Object anObject)

  Compares this object to the specified object. The result is TRUE if and only if the argument is not null and is a SchemaString object that contains the same value as this object.
  Parameters:
    `anObject` - The object with which to compare.
  Returns:
    TRUE if the objects are the same; otherwise FALSE.
  Overrides:
    equals in class java.lang.Object

### getName

    public java.lang.String getName()

  Returns the object name.
  Returns:
    The object name as a String.

### stringValue

    public java.lang.String stringValue()

  Returns the value of this SchemaString as a String.
  Specified by:
    stringValue in interface
  Returns:
    The String value represented by this object.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning Them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.
  Overrides:
    clone in class java.lang.Object

### toString

    public java.lang.String toString()

  Generates the string representation of this value. The string consists of the value's syntax id, the name and its values.
  Returns:
    The String representation of the value.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD